Package twisted :: Package im :: Module ircsupport :: Class IRCAccount |
[show private | hide private]
[frames | no frames]

## Class IRCAccount

      Versioned --+
                  |
    AbstractAccount --+
                      |
                     IRCAccount

Method Summary
| `__init__(self, accountName, autoLogin, username, password, host, port, channels)`
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__repr__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``getGroup`(self, name)` Group factory. (inherited from `AbstractAccount`)
| ``getPerson`(self, name)` Person factory. (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account. (inherited from `AbstractAccount`)
| `upgrateToVersion2(self)` (inherited from `AbstractAccount`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`tuple` | `__implements__`
`str` | `gatewayType`
`class` | `IRCGroup`
`class` | `IRCPerson`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class 'twisted.im.interfaces.IAccount'>,)

    ### gatewayType Type: `str` Value:
        'IRC'

### IRCGroup `IRCGroup` = `twisted.im.ircsupport.IRCGroup`

### IRCPerson `IRCPerson` = `twisted.im.ircsupport.IRCPerson`

Generated by Epydoc 1.1 on Thu May 8 13:16:25 2003 | http://epydoc.sf.net